ru.bitel.oss.systems.inventory.product.common.bean

## Class ProductOffering

- java.lang.Object
- - ru.bitel.oss.systems.inventory.product.common.bean.ProductOffering

- All Implemented Interfaces:
    Idable

      public class ProductOffering
      extends java.lang.Object
      implements Idable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductOffering()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ProductOfferingActivationMode>` | `getActivationModeList()`
    `java.lang.String` | `getDescription()`
    `int` | `getId()` Возвращает id объекта
    `int` | `getPeriodAmount()`
    `int` | `getPeriodMode()`
    `java.math.BigDecimal` | `getPrice()`
    `ProductSpec` | `getProductSpec()`
    `boolean` | `isEnable()`
    `void` | `setActivationModeList(java.util.List<ProductOfferingActivationMode> activationModeList)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setEnable(boolean enable)`
    `void` | `setPeriodAmount(int periodAmount)`
    `void` | `setPeriodMode(int periodMode)`
    `void` | `setPrice(java.math.BigDecimal price)`
    `void` | `setProductSpec(ProductSpec productSpec)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductOffering

          public ProductOffering()

  - ### Method Detail

    - #### getProductSpec

          public ProductSpec getProductSpec()

    - #### setProductSpec

          public void setProductSpec(ProductSpec productSpec)

    - #### getActivationModeList

          public java.util.List<ProductOfferingActivationMode> getActivationModeList()

    - #### setActivationModeList

          public void setActivationModeList(java.util.List<ProductOfferingActivationMode> activationModeList)

    - #### isEnable

          public boolean isEnable()

    - #### setEnable

          public void setEnable(boolean enable)

    - #### getPeriodMode

          public int getPeriodMode()

    - #### setPeriodMode

          public void setPeriodMode(int periodMode)

    - #### getPeriodAmount

          public int getPeriodAmount()

    - #### setPeriodAmount

          public void setPeriodAmount(int periodAmount)

    - #### getPrice

          public java.math.BigDecimal getPrice()

    - #### setPrice

          public void setPrice(java.math.BigDecimal price)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getId

          public int getId()

      Description copied from interface: `Idable`
      Возвращает id объекта
      Specified by:
        `getId` in interface `Idable`
      Returns: